# SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
# SPDX-License-Identifier: Apache-2.0
---
repositories:
  - name: "prometheus-repo"
    url: >-
      {{ env "PRIVATE_CHART_REPOSITORY_URL" |
         default "https://prometheus-community.github.io/helm-charts" }}

releases:
  - name: "kube-prometheus-stack"
    chart: "prometheus-repo/kube-prometheus-stack"
    version: "52.1.0"
    namespace: "monitoring"
    createNamespace: true
    values:
      - "values-kube-prometheus-stack.yaml"
      - "values-kube-prometheus-stack.gotmpl"
    condition: "kubePrometheusStack.enabled"
    wait: true
commonLabels:
  deploy-stage: "component-2"
  component: "kube-prometheus-stack"

bases:
  - "../../bases/environments.yaml"
...
